openSUSE Security Update : mysql-community-server (openSUSE-2012-273)

medium Nessus Plugin ID 74623
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 4.7

Synopsis

The remote openSUSE host is missing a security update.

Description

mysql update to version 5.5.23 fixes several security issues and bugs.
Please refer to the following upstream announcements for details :

- http://dev.mysql.com/doc/refman/5.5/en/news-5-5-16.html

- http://dev.mysql.com/doc/refman/5.5/en/news-5-5-17.html

- http://dev.mysql.com/doc/refman/5.5/en/news-5-5-18.html

- http://dev.mysql.com/doc/refman/5.5/en/news-5-5-19.html

- http://dev.mysql.com/doc/refman/5.5/en/news-5-5-20.html

- http://dev.mysql.com/doc/refman/5.5/en/news-5-5-21.html

- http://dev.mysql.com/doc/refman/5.5/en/news-5-5-22.html

- http://dev.mysql.com/doc/refman/5.5/en/news-5-5-23.html

Solution

Update the affected mysql-community-server packages.

See Also

https://dev.mysql.com/doc/refman/5.5/en/news-5-5-16.html

https://dev.mysql.com/doc/refman/5.5/en/news-5-5-17.html

https://dev.mysql.com/doc/refman/5.5/en/news-5-5-18.html

https://dev.mysql.com/doc/refman/5.5/en/news-5-5-19.html

https://dev.mysql.com/doc/refman/5.5/en/news-5-5-20.html

https://dev.mysql.com/doc/refman/5.5/en/news-5-5-21.html

https://dev.mysql.com/doc/refman/5.5/en/news-5-5-22.html

https://dev.mysql.com/doc/refman/5.5/en/news-5-5-23.html

https://bugzilla.novell.com/show_bug.cgi?id=734436

https://bugzilla.novell.com/show_bug.cgi?id=742272

https://bugzilla.novell.com/show_bug.cgi?id=758460

Plugin Details

Severity: Medium

ID: 74623

File Name: openSUSE-2012-273.nasl

Version: 1.6

Type: local

Agent: unix

Published: 6/13/2014

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

Risk Factor: Medium

VPR Score: 4.7

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:L/Au:S/C:N/I:N/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libmysqlclient-devel, p-cpe:/a:novell:opensuse:libmysqlclient-devel-32bit, p-cpe:/a:novell:opensuse:libmysqlclient18, p-cpe:/a:novell:opensuse:libmysqlclient18-32bit, p-cpe:/a:novell:opensuse:libmysqlclient18-debuginfo, p-cpe:/a:novell:opensuse:libmysqlclient18-debuginfo-32bit, p-cpe:/a:novell:opensuse:libmysqlclient_r18, p-cpe:/a:novell:opensuse:libmysqlclient_r18-32bit, p-cpe:/a:novell:opensuse:libmysqld-devel, p-cpe:/a:novell:opensuse:libmysqld18, p-cpe:/a:novell:opensuse:libmysqld18-debuginfo, p-cpe:/a:novell:opensuse:mysql-community-server, p-cpe:/a:novell:opensuse:mysql-community-server-bench, p-cpe:/a:novell:opensuse:mysql-community-server-bench-debuginfo, p-cpe:/a:novell:opensuse:mysql-community-server-client, p-cpe:/a:novell:opensuse:mysql-community-server-client-debuginfo, p-cpe:/a:novell:opensuse:mysql-community-server-debug, p-cpe:/a:novell:opensuse:mysql-community-server-debug-debuginfo, p-cpe:/a:novell:opensuse:mysql-community-server-debuginfo, p-cpe:/a:novell:opensuse:mysql-community-server-debugsource, p-cpe:/a:novell:opensuse:mysql-community-server-test, p-cpe:/a:novell:opensuse:mysql-community-server-test-debuginfo, p-cpe:/a:novell:opensuse:mysql-community-server-tools, p-cpe:/a:novell:opensuse:mysql-community-server-tools-debuginfo, cpe:/o:novell:opensuse:12.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 5/8/2012

Vulnerability Publication Date: 1/18/2012

Reference Information

CVE: CVE-2011-2262, CVE-2012-0075, CVE-2012-0112, CVE-2012-0113, CVE-2012-0114, CVE-2012-0115, CVE-2012-0116, CVE-2012-0117, CVE-2012-0118, CVE-2012-0119, CVE-2012-0120, CVE-2012-0484, CVE-2012-0485, CVE-2012-0486, CVE-2012-0487, CVE-2012-0488, CVE-2012-0489, CVE-2012-0490, CVE-2012-0491, CVE-2012-0492, CVE-2012-0493, CVE-2012-0494, CVE-2012-0495, CVE-2012-0496, CVE-2012-0583, CVE-2012-1688, CVE-2012-1690, CVE-2012-1696, CVE-2012-1697, CVE-2012-1703